<?php

declare(strict_types=1);

namespace App\Entity\Reward;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use App\Entity\Organization\Organization;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe qui gère les distinctions de la CMF.
 */
#[ApiResource(operations: [])]
// #[Auditable]
#[ORM\Entity]
class Reward
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'rewards')]
    #[ORM\JoinColumn(nullable: false)]
    private Organization $organization;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOrganization(): ?Organization
    {
        return $this->organization;
    }

    public function setOrganization(?Organization $organization): self
    {
        $this->organization = $organization;

        return $this;
    }
}
